org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.INPUT

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.INPUT
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.INPUT
      extends HamletSpec.Attrs, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.INPUT` | `$accept(String contentTypes)` list of MIME types for file upload (csv)
    `HamletSpec.INPUT` | `$accesskey(String cdata)` accessibility key character
    `HamletSpec.INPUT` | `$alt(String cdata)` short description
    `HamletSpec.INPUT` | `$checked()` for radio buttons and check boxes
    `HamletSpec.INPUT` | `$disabled()` unavailable in this context
    `HamletSpec.INPUT` | `$ismap()` use server-side image map
    `HamletSpec.INPUT` | `$maxlength(int length)` max chars for text fields
    `HamletSpec.INPUT` | `$name(String cdata)` submit as part of form
    `HamletSpec.INPUT` | `$onblur(String script)` the element lost the focus
    `HamletSpec.INPUT` | `$onchange(String script)` the element value was changed
    `HamletSpec.INPUT` | `$onfocus(String script)` the element got the focus
    `HamletSpec.INPUT` | `$onselect(String script)` some text was selected
    `HamletSpec.INPUT` | `$readonly()` for text and passwd
    `HamletSpec.INPUT` | `$size(String cdata)` specific to each type of field
    `HamletSpec.INPUT` | `$src(String uri)` for fields with images
    `HamletSpec.INPUT` | `$tabindex(int index)` position in tabbing order
    `HamletSpec.INPUT` | `$type(HamletSpec.InputType inputType)` what kind of widget is needed.
    `HamletSpec.INPUT` | `$value(String cdata)` Specify for radio buttons and checkboxes

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### $type

          HamletSpec.INPUT $type(HamletSpec.InputType inputType)

      what kind of widget is needed. default is "text".
      Parameters:
        `inputType` -
      Returns:
        the current element builder

    - #### $name

          HamletSpec.INPUT $name(String cdata)

      submit as part of form
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $value

          HamletSpec.INPUT $value(String cdata)

      Specify for radio buttons and checkboxes
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $checked

          HamletSpec.INPUT $checked()

      for radio buttons and check boxes
      Returns:
        the current element builder

    - #### $disabled

          HamletSpec.INPUT $disabled()

      unavailable in this context
      Returns:
        the current element builder

    - #### $readonly

          HamletSpec.INPUT $readonly()

      for text and passwd
      Returns:
        the current element builder

    - #### $size

          HamletSpec.INPUT $size(String cdata)

      specific to each type of field
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $maxlength

          HamletSpec.INPUT $maxlength(int length)

      max chars for text fields
      Parameters:
        `length` -
      Returns:
        the current element builder

    - #### $src

          HamletSpec.INPUT $src(String uri)

      for fields with images
      Parameters:
        `uri` -
      Returns:
        the current element builder

    - #### $alt

          HamletSpec.INPUT $alt(String cdata)

      short description
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $ismap

          HamletSpec.INPUT $ismap()

      use server-side image map
      Returns:
        the current element builder

    - #### $tabindex

          HamletSpec.INPUT $tabindex(int index)

      position in tabbing order
      Parameters:
        `index` -
      Returns:
        the current element builder

    - #### $accesskey

          HamletSpec.INPUT $accesskey(String cdata)

      accessibility key character
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $onfocus

          HamletSpec.INPUT $onfocus(String script)

      the element got the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onblur

          HamletSpec.INPUT $onblur(String script)

      the element lost the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onselect

          HamletSpec.INPUT $onselect(String script)

      some text was selected
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onchange

          HamletSpec.INPUT $onchange(String script)

      the element value was changed
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $accept

          HamletSpec.INPUT $accept(String contentTypes)

      list of MIME types for file upload (csv)
      Parameters:
        `contentTypes` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.